Subject: RE: Netatalk and NFS

From: Michalowski Thierry <[email-masked]>
Date: Wed, 10 Jan 2001 19:08:44 +0100

Hi,
Usually, "soft" mounting something is a bad idea (man mount). Unless you
exactly know what you're doing, I would recommend against such a thing.

Don't know if this could help with netatalk, though...

HTH
Thierry 

-----Message d'origine-----
De: Darron Froese
A: Matthew Keller
Cc: [email-masked]
Date: 10/01/01 06:17
Objet: Re: Netatalk and NFS

on 1/8/01 8:29 AM, Matthew Keller at [email-masked] wrote:

> Make sure your time on both NFS server and NFS client are the same-
> Down to the second.

Check. I just synched them with ntpdate to the same server.

> I use the following flags when I mount NFS volumes
> for share with Netatalk. You gotta turn off NFS locking because Apple
is
> lame and is CONSTANTLY writing and reading resource forks while a file
> is open (even in the midst of a copy)
> 
> nolock,nosuid,noexec,wsize=8192,bg,nodev,rsize=8192,intr

I've got this:

soft,intr,user,nolock,nosuid,noexec,nodev,wsize=8192,rsize=8192

I can now read just fine from those NFS shared directories, but I cannot
write reliably. I am able to write a file once in a while - but not on
command.

Usually I get "The item $ITEM cannot be written because of an error of
type
-50. Would you like to continue?" Of course continuing does nothing.

I have found a workaround for the time being - I can copy the file to a
non-NFS mounted directory and then *move* it to the NFS mounted
directory.
The file is fine when I copy it off of the NFS server (via an additional
test netatalk server).

Any other ideas?
-- 
Darron
[email-masked]